#include <QtQml/qqmlprivate.h>
#include <QtCore/qdir.h>
#include <QtCore/qurl.h>
#include <QtCore/qhash.h>
#include <QtCore/qstring.h>

namespace QmlCacheGeneratedCode {
namespace _app_maui_pix_main_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_view_models_PixGrid_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_view_models_PixPic_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Folders_FoldersView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Gallery_GalleryView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Tags_TagsView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_PixViewer_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_OCROverlay_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_Viewer_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_Viewer_js { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_GalleryRoll_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Tags_TagsSidebar_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_view_models_PixMenu_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_SelectionBar_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Cloud_CloudView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_view_models_PixPicList_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_SettingsDialog_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_OCRSettingsPage_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_Sidebar_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_AppView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_Viewer_OCRPage_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_CollectionView_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}
namespace _app_maui_pix_widgets_views_FloatingViewer_qml { 
    extern const unsigned char qmlData[];
    extern const QQmlPrivate::AOTCompiledFunction aotBuiltFunctions[];
    const QQmlPrivate::CachedQmlUnit unit = {
        reinterpret_cast<const QV4::CompiledData::Unit*>(&qmlData), &aotBuiltFunctions[0], nullptr
    };
}

}
namespace {
struct Registry {
    Registry();
    ~Registry();
    QHash<QString, const QQmlPrivate::CachedQmlUnit*> resourcePathToCachedUnit;
    static const QQmlPrivate::CachedQmlUnit *lookupCachedUnit(const QUrl &url);
};

Q_GLOBAL_STATIC(Registry, unitRegistry)


Registry::Registry() {
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/main.qml"), &QmlCacheGeneratedCode::_app_maui_pix_main_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/view_models/PixGrid.qml"), &QmlCacheGeneratedCode::_app_maui_pix_view_models_PixGrid_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/view_models/PixPic.qml"), &QmlCacheGeneratedCode::_app_maui_pix_view_models_PixPic_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Folders/FoldersView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Folders_FoldersView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Gallery/GalleryView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Gallery_GalleryView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Tags/TagsView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Tags_TagsView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/PixViewer.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_PixViewer_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/OCROverlay.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_OCROverlay_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/Viewer.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_Viewer_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/Viewer.js"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_Viewer_js::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/GalleryRoll.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_GalleryRoll_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Tags/TagsSidebar.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Tags_TagsSidebar_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/view_models/PixMenu.qml"), &QmlCacheGeneratedCode::_app_maui_pix_view_models_PixMenu_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/SelectionBar.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_SelectionBar_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Cloud/CloudView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Cloud_CloudView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/view_models/PixPicList.qml"), &QmlCacheGeneratedCode::_app_maui_pix_view_models_PixPicList_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/SettingsDialog.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_SettingsDialog_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/OCRSettingsPage.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_OCRSettingsPage_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/Sidebar.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_Sidebar_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/AppView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_AppView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/Viewer/OCRPage.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_Viewer_OCRPage_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/CollectionView.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_CollectionView_qml::unit);
    resourcePathToCachedUnit.insert(QStringLiteral("/app/maui/pix/widgets/views/FloatingViewer.qml"), &QmlCacheGeneratedCode::_app_maui_pix_widgets_views_FloatingViewer_qml::unit);
    QQmlPrivate::RegisterQmlUnitCacheHook registration;
    registration.structVersion = 0;
    registration.lookupCachedQmlUnit = &lookupCachedUnit;
    QQmlPrivate::qmlregister(QQmlPrivate::QmlUnitCacheHookRegistration, &registration);
}

Registry::~Registry() {
    QQmlPrivate::qmlunregister(QQmlPrivate::QmlUnitCacheHookRegistration, quintptr(&lookupCachedUnit));
}

const QQmlPrivate::CachedQmlUnit *Registry::lookupCachedUnit(const QUrl &url) {
    if (url.scheme() != QLatin1String("qrc"))
        return nullptr;
    QString resourcePath = QDir::cleanPath(url.path());
    if (resourcePath.isEmpty())
        return nullptr;
    if (!resourcePath.startsWith(QLatin1Char('/')))
        resourcePath.prepend(QLatin1Char('/'));
    return unitRegistry()->resourcePathToCachedUnit.value(resourcePath, nullptr);
}
}
int QT_MANGLE_NAMESPACE(qInitResources_qmlcache_pix)() {
    ::unitRegistry();
    return 1;
}
Q_CONSTRUCTOR_FUNCTION(QT_MANGLE_NAMESPACE(qInitResources_qmlcache_pix))
int QT_MANGLE_NAMESPACE(qCleanupResources_qmlcache_pix)() {
    return 1;
}
